/**
 ******************************************************************************
 * @project  Basic LED Control
 * @author   Edward Ahn, Jim Jun
 * @version  V1.0.1
 * @date     26-MAY-2016
 * @brief    Digital Pin Control
*******************************************************************************
**/

/*
  아두이노는 크게 Setup();, loop(); 두 가지의 함수로 동작한다.
  setup() 함수는 스케치가 시작될 때 호출되는 함수로 이 함수에서는 변수의 초기화, 핀 모드
  설정, 필요한 라이브러리 적재 등의 작업을 수행한다. setup() 함수는 전원이 켜지거나 리셋
  버튼이 눌러질 때 한 번만 호출된다.

  loop() 함수는 그 이름에서 알 수 있듯이 스케치가 수행되는 동안 지속적으로 호출되는 함수
  로 스케치가 수행됨에 따라 프로그램의 상태를 바꾸거나 다양한 입력에 반응하여 특정 작업을
  수행할 수 있도록 해준다.
*/
#define TESTPIN 13

void setup() {
  pinMode(TESTPIN, OUTPUT);    // D13(LED)를 Output으로 설정
}

void loop() {
  digitalWrite(TESTPIN, HIGH); // D13에 '1'(3.3v)를 출력한다.
  delay(1000);            // 지연 함수(ms)
  digitalWrite(TESTPIN, LOW);  // D13에 '0'(0v)를 출력한다.
  delay(1000);            //  지연 함수(ms)
}
