/**
 ******************************************************************************
 * @project  DHT11 Temperature & humidity Sensor example 
 * @author   Edward Ahn, Jim Jun
 * @version  V1.0.1
 * @date     26-MAY-2016
 * @brief    Digital & Analog Temperature Control
*******************************************************************************
**/
#include <DHT.h>

const int sensorPin = A2;   // 온도센서
#define DHT_pin 4
#define DHTTYPE DHT11

// DHT11
DHT dht(DHT_pin, DHTTYPE);

// LM35
int val = 0;          // 아날로그 값 측정
float voltage = 0;    // 전압 측정
float celsius = 0;    // 섭씨
float Fahrenheit = 0; // 화씨

void setup() {
  SerialUSB.begin(9600); // Serial initial
  dht.begin(); // DHT initial
}

void loop() {
  // DHT11
  delay(2000);
  // Reading temperature or humidity takes about 250 milliseconds!
  // Sensor readings may also be up to 2 seconds 'old' (its a very slow sensor)
  float h = dht.readHumidity();
  // Read temperature as Celsius (the default)
  float t = dht.readTemperature();
  // Read temperature as Fahrenheit (isFahrenheit = true)
  float f = dht.readTemperature(true); 
  dht.check_sum(); // compare Value
  
  SerialUSB.print("DHT11 Humidity: ");
  SerialUSB.print(h);
  SerialUSB.print(" %\t");
  SerialUSB.print("DHT11 Temperature: ");
  SerialUSB.print(t);
  SerialUSB.print(" *C ");
  SerialUSB.print(f);
  SerialUSB.println(" *F");

/*
  // LM35
  // read the value from the sensor:
  val = analogRead(sensorPin);
  // 실제 전압 계산
  // 0~3.3V의 값을 구하기 위해 아래와 같이 3.3를 곱하고 1024로 나눈다.
  // (Analog값 * IC에 걸리는 전압 / Analog 10bit 분해능(1024))
  // IC에 걸리는 전압은 측정기로 측정
  voltage = val * 3.3 / 1024.0;
  // LM35는 섭씨 1도당 10mV의 전위차를 갖는다.
  // 센서핀의 전압이 0.28V라면 280mV이므로 온도는 28도씨.
  // 100을 곱해서 섭씨 온도로 나타냄
  celsius = voltage * 100.0;
  // 섭씨에서 화씨 환산 -> (화씨온도 = 섭씽온*9/5+32)
  Fahrenheit = celsius * 9.0/5.0 + 32.0;
  delay(1000);
  SerialUSB.print("Sensor value :");
  SerialUSB.println(val);                
  SerialUSB.print("Volt : ");
  SerialUSB.print(voltage);
  SerialUSB.println("mV");
  SerialUSB.print("celsius temp : ");
  SerialUSB.print(celsius);
  SerialUSB.println("*C");
  SerialUSB.print("Fahrenheit temp : ");
  SerialUSB.print(Fahrenheit);
  SerialUSB.println("*F");
*/
  delay(1000);
}
